Summary:    Simple clone of apt-get for rpm
Name:       rpm-get
Version:    1.5
Release:    1
Copyright:  GPL
Group:      Utilities/System
Source0:    http://alien.ath.cx/rpm-get/%{name}-%{version}.tar.gz
BuildRoot:  /var/tmp/rpm-get-root
Buildarch:  noarch
Requires:   lynx >= 2.8
Requires:   wget
Requires:   textutils
Requires:   gawk
Requires:   sed
Requires:   bzip2

%description
rpm-get is a simple clone of Debians apt-get utilety for 
automaticly download and install files.

%prep
%setup -q -n rpm-get

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/lib/rpm-get

install -D -m755 %_builddir/%{name}/rpm-get-configure $RPM_BUILD_ROOT/sbin/rpm-get-configure
install -D -m755 %_builddir/%{name}/rpm-get $RPM_BUILD_ROOT/sbin/rpm-get
install -D -m755 %_builddir/%{name}/dep-check.sh $RPM_BUILD_ROOT/sbin/dep-check.sh
install -D -m755 %_builddir/%{name}/rpm-dep.sh $RPM_BUILD_ROOT/sbin/rpm-dep.sh
install -D -m755 %_builddir/%{name}/rpm-fle2pkg.sh $RPM_BUILD_ROOT/sbin/rpm-fle2pkg.sh
install -D -m755 %_builddir/%{name}/genrpmlist $RPM_BUILD_ROOT/sbin/genrpmlist
install -D -m644 %_builddir/%{name}/rpm-get.conf $RPM_BUILD_ROOT/etc/rpm-get.conf
install -D -m644 %_builddir/%{name}/rpm-get.1 $RPM_BUILD_ROOT/%_mandir/man1/rpm-get.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes BUGS AUTHORS LICENSE TODO INSTALL
/sbin/*
/%_mandir/man1/*
/etc/*
/var/lib/rpm-get/

%post
echo -e "\nNow run 'rpm-get configure' to initialize the database.\nIt requires net access and could take quite some time.\n"
